# $Revision: 1.22 $, $Date: 2007/02/13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CAST5_PP
Summary:	Crypt::CAST5_PP Perl module - CAST5 block cipher implemented in pure Perl
Summary(pl.UTF-8):	Moduł Perla Crypt::CAST5_PP - szyfr blokowy CAST5 zaimplementowany w samym Perlu
Name:		perl-Crypt-CAST5_PP
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	563d7ecad9193fe442cf1fe0b1da1a97
URL:		http://search.cpan.org/dist/Crypt-CAST5_PP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Test-Simple >= 0.1
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(Crypt::CAST5_PP::Tables)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a pure Perl implementation of the CAST5 block
cipher. CAST5 is also known as CAST-128. It is a product of the CAST
design procedure developed by C. Adams and S. Tavares. The CAST5
cipher is available royalty-free.

%description -l pl.UTF-8
Ten moduł zawiera implementację szyfru blokowego CAST5 napisaną w
samym Perlu. CAST5 jest znany także jako CAST-128 i jest produktem
procesu projektowania CAST, tworzonego przez C. Adamsa i S. Tavaresa.
Szyfr CAST5 jest dostępny bezpłatnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/CAST5_PP.pm
%{perl_vendorlib}/Crypt/CAST5_PP
%dir %{perl_vendorlib}/auto/Crypt/CAST5_PP
%{perl_vendorlib}/auto/Crypt/CAST5_PP/autosplit.ix
%{perl_vendorlib}/auto/Crypt/CAST5_PP/*.al
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-CAST5_PP.spec,v $
Revision 1.22  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.20  2006/07/26 21:12:53  glen
- 1.04, generic URL

Revision 1.19  2005/06/21 16:09:39  czucz
- updated to 1.03

Revision 1.18  2004/11/03 22:30:12  paladine
- formatting

Revision 1.17  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.15  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.13  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.12  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:28:40  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/02 14:32:20  qboosh
- use _without_tests, added bcond description

Revision 1.4  2002/09/08 11:02:45  radek
- version 1.02

Revision 1.3  2002/08/07 04:51:43  kloczek
- updated to 1.01,
- added peroming post build tests.

Revision 1.2  2002/07/28 23:59:44  ankry
- added Provides: perl(Crypt::CAST5_PP::Tables)

Revision 1.1  2002/07/28 18:02:42  qboosh
- new
